import {Component, Input} from '@angular/core';
import {ProductGamesystem} from "../../../game-model/gamesystems/ProductGamesystem";
import {ProductStateEditorComponent} from "../state-editor/product-state-editor/product-state-editor.component";

@Component({
  selector: 'app-product-gamesystem-editor',
  standalone: true,
  imports: [
    ProductStateEditorComponent
  ],
  templateUrl: './product-gamesystem-editor.component.html',
  styleUrl: './product-gamesystem-editor.component.scss'
})
export class ProductGamesystemEditorComponent {

  @Input() gamesystem: ProductGamesystem | undefined
}
